<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
	<extension point="org.eclipse.ui.commands">
		<command
				description="Open a CDT Editor"
				defaultHandler="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.handler.SyncCDTEditorHandler"
				id="org.eclipse.papyrus.designer.languages.exteditor.cdt.openeditor"
				name="Open a CDT Editor">
		</command>
	</extension>
	<extension
			id="org.eclipse.cdt.ui.synceditor"
			point="org.eclipse.ui.editors">
		<editor
				default="true"
				name="Papyrus synchronizing CDT editor"
				icon="icons/texteditor.gif"
				class="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor.SyncCDTEditor"
				contributorClass="org.eclipse.cdt.internal.ui.editor.CEditorActionContributor"
				symbolicFontName="org.eclipse.cdt.ui.editors.textfont"
				id="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.editor.SyncCDTEditor">
		</editor>
	</extension>
	
	<extension point="org.eclipse.ui.menus">
		<menuContribution
				allPopups="false"
				locationURI="popup:org.eclipse.papyrus.designer.popup?after=codegen">
			<command
					commandId="org.eclipse.papyrus.designer.languages.exteditor.cdt.openeditor"
					id="org.eclipse.papyrus.designer.languages.exteditor.cdt.open"
					icon="icons/texteditor.gif"
					style="push">
				<visibleWhen checkEnabled="true"/>
					<iterate>
						<adapt type="org.eclipse.emf.ecore.EObject">
							<or>
								<instanceof value="org.eclipse.uml2.uml.Class"/>
								<instanceof value="org.eclipse.uml2.uml.Operation"/>
								<instanceof value="org.eclipse.uml2.uml.Transition"/>
							</or>
						</adapt>
					</iterate>
			</command>
		</menuContribution>
	</extension>
	<extension point="org.eclipse.papyrus.infra.core.modelListener">
		<listener
				name="org.eclipse.papyrus.designer.languages.exteditor.cdt.listener.ModelListener"
				realization="org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.listener.ModelListener">
		</listener>
	</extension>
</plugin>
